# Charges Shards from user's balance

Charge shards from user

Endpoint: POST /v2/merchants/{merchantId}/projects/{projectId}/multicurrency-charge
Version: 1.0.0
Security: Server

## Path parameters:

  - `merchantId` (string, required)
    Merchant ID of the client

  - `projectId` (string, required)
    Project ID of the project

## Header parameters:

  - `X-OPERATION-ID` (string, required)
    Unique operation ID.

  - `X-HOST-ID` (string, required)
    Unique operator ID.

## Request fields (application/json):

  - `shards` (integer, required)
    Number of Shards to charge.
    Example: 22

  - `user_token` (string, required)
    Authentication token of the user whose balance is to charge.

  - `virtual_currency_sku` (string, required)
    Multicurrency SKU
    Example: "blue_orb_point"

## Response 200 fields (application/json):

  - `balance` (object)
    Example: {"orbs":1,"shards":5}

  - `balance.orbs` (integer)
    Full balance of a virtual currency.
    Example: 1

  - `balance.shards` (integer)
    Virtual currency shards balance.
    Example: 5

## Response 400 fields (application/json):

  - `error_code` (string)
    Error code

  - `error_description` (string)
    Error description

## Response 401 fields (application/json):

  - `error_code` (string)
    Error code

  - `error_description` (string)
    Error description

## Response 404 fields (application/json):

  - `error_code` (string)
    Error code

  - `error_description` (string)
    Error description

## Response 409 fields (application/json):

  - `error_code` (string)
    Error code

  - `error_description` (string)
    Error description

## Response 422 fields (application/json):

  - `error_code` (string)
    Error code

  - `error_description` (string)
    Error description


